curl --request PATCH \
--url https://api.siftstack.com/api/v2/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v2/runs"
payload = {
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": True,
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"assetIds": ["<string>"],
"isAdhoc": True,
"isArchived": True,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs"
payload := strings.NewReader("{\n \"run\": {\n \"runId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"isPinned\": true,\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"assetIds\": [\n \"<string>\"\n ],\n \"isAdhoc\": true,\n \"isArchived\": true,\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"stopTime\": \"2023-11-07T05:31:56Z\",\n \"defaultReportId\": \"<string>\",\n \"clientKey\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"duration\": \"<string>\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UpdateRun
Updates an existing run using using the list of fields specified in update_mask.
curl --request PATCH \
--url https://api.siftstack.com/api/v2/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v2/runs"
payload = {
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": True,
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"assetIds": ["<string>"],
"isAdhoc": True,
"isArchived": True,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs"
payload := strings.NewReader("{\n \"run\": {\n \"runId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"isPinned\": true,\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"assetIds\": [\n \"<string>\"\n ],\n \"isAdhoc\": true,\n \"isArchived\": true,\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"stopTime\": \"2023-11-07T05:31:56Z\",\n \"defaultReportId\": \"<string>\",\n \"clientKey\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"duration\": \"<string>\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The request for a call to RunService_UpdateRun to update an existing run.
The request for a call to RunService_UpdateRun to update an existing run.
Show child attributes
Show child attributes
The list of fields to be updated. The fields available to be updated are name, description,
start_time, stop_time, is_pinned, client_key, tags,is_archived, and metadata.
Important Note: When updating the start_time, please be aware that if a subsequent data ingestion
commences for this run, the start_time will be automatically overwritten and set to the timestamp
corresponding to the beginning of the latest run. Additionally, client_key can only be set once either in run creation or in update.
Any subsequent attempt to update client_key will result in an error.
Response
A successful response.
The response of a call to RunService_UpdateRun containing the updated run.
Show child attributes
Show child attributes
Was this page helpful?